% Check whether the input is in the range.
% If not, return the value to the default number.
% input: input number, lower bound, upper bound, default number
% output: output number, whether it is valid.
function [f,outputnum, validity] = checkvalidity(inputnum,rmin,rmax,defaultnum)

    f = 0;
    if inputnum >= rmin && inputnum <= rmax && rem(inputnum,1) == 0 % integer only for now
        outputnum = inputnum;
        validity = 1;
    else
        msg1 = {'The input is not in [0,10]. Return to the default value: '};
        msg2 = {num2str(defaultnum)};
        msg3 = {' .'};
        msg = strcat(msg1,msg2,msg3);
        f = warndlg(msg,'Warning');
        outputnum = defaultnum;
        validity = 0;
    end

end