function [AchiveTime]=getSWFT_AchiveTime(SWFTData_Path)
%
% Description: Get the time span of SWFT Data.
%
filelist=dir([SWFTData_Path,filesep,'GIMvSpace_Matchup*.mat']);
if isempty(filelist)
    disp(['getSWFT_AchiveTime: Folder ',SWFTData_Path,' does not contain SWFT data files.']);
    DataCategory=[];
    return;
end
AchiveTime=struct('Min',inf,'Max',-inf,'Resolution',[]);
for iFile=1:length(filelist)
%     load(filelist(iFile).name);
    load([filelist(iFile).folder,filesep,filelist(iFile).name])
    AchiveTime.Min=min([AchiveTime.Min,nanmin(SWFT_Dataset.TimeGrid.DateNum_Start.Value)]);
    AchiveTime.Max=max([AchiveTime.Max,nanmax(SWFT_Dataset.TimeGrid.DateNum_End.Value)]);
    AchiveTime.Resolution=nanmedian(SWFT_Dataset.TimeGrid.DateNum_Start.Value(2:end)-...
        SWFT_Dataset.TimeGrid.DateNum_Start.Value(1:end-1));
end
return;
end