function [DataCategory]=getSWFT_DataCategory(SWFTData_Path)
%
% Description: Get the list of SWFT Data Category.
%
filelist = dir([SWFTData_Path,filesep,'GIMvSpace_Matchup*.mat']);
if isempty(filelist)
    disp(['getSWFT_DataCategory: Folder ',SWFTData_Path,' does not contain SWFT data files.']);
    DataCategory=[];
    return;
end
load([filelist(1).folder,filesep,filelist(1).name]);
FieldList = fieldnames(SWFT_Dataset);
DataCategory = cell(0,1);
for iField=1:length(FieldList)
    if strcmp(FieldList{iField},'TimeGrid')
        continue;
    end
    DataSet = getfield(SWFT_Dataset,FieldList{iField});
    VarFields = fieldnames(DataSet);
    Categ = cell(1,length(VarFields));
    for iVar = 1:length(VarFields)
        var = getfield(DataSet,VarFields{iVar});
        Categ{iVar} = var.Category;
    end
    Categ = unique(Categ);
    DataCategory = {DataCategory{:},Categ{:}};
end
return;
end