function [VariableList]=getSWFT_Variables(SWFTData_Path,Category)
%
% Description: Get the list of SWFT variables in a given category.
%
filelist=dir([SWFTData_Path,filesep,'GIMvSpace_Matchup*.mat']);
if isempty(filelist)
    disp(['getSWFT_Variables: Folder ',SWFTData_Path,' does not contain SWFT data files.']);
    VariableList=[];
    return;
end
[DataCategory]=getSWFT_DataCategory(SWFTData_Path);
if isempty(find(strcmp(DataCategory,Category)))
    disp(['getSWFT_Variables: Unknown data category: ',Category]);
    VariableList=[];
    return;
end
load([filelist(1).folder,filesep,filelist(1).name]);
FieldList=fieldnames(SWFT_Dataset);
VariableList=[];
for iField=1:length(FieldList)
    if strcmp(FieldList{iField},'TimeGrid')
        continue;
    end
    DataSet=getfield(SWFT_Dataset,FieldList{iField});
    VarFields=fieldnames(DataSet);
    for iVar=1:length(VarFields)
        var=getfield(DataSet,VarFields{iVar});
        if ~strcmp(var.Category,Category)==1
            continue
        end
        if isempty(VariableList)
            VariableList=struct('NativeName',cell(length(VarFields),1),...
                'VarName',cell(length(VarFields),1),'DataSet',cell(length(VarFields),1));
            cVar=0;
        end
        cVar=cVar+1;
        VariableList(cVar).VarName=VarFields{iVar};
        VariableList(cVar).DataSet=FieldList{iField};
        if isfield(var,'NativeName')
            VariableList(cVar).NativeName=var.NativeName;
        else
            VariableList(cVar).NativeName=VarFields{iVar};
        end
    end
end
VariableList=VariableList(1:cVar);
return;
end