function [forecastData]=multilinearReg(forecastData)
%
% Description: Perform multilinear regression on a forecast dataset
%
nDataSet=length(forecastData.ForecastVar.Attrib);
%
% Verify that all variables are real.
%
forecastReal=1;
for k=1:nDataSet
    if ~strcmpi(forecastData.ForecastVar.Attrib(k).DataType,'real')
        vFields=[];
        if ~isempty(forecastData.ForecastVar.Attrib(k).DataFieldList)
            vFields=fieldnames(forecastData.ForecastVar.Attrib(k).DataFieldList);
        end
        if ~isempty(vFields)
            forecastReal=0;
        end
    end
end
dataReal=1;
for k=1:nDataSet
    if ~strcmpi(forecastData.DataVar.Attrib(k).DataType,'real')
        vFields=[];
        if ~isempty(forecastData.DataVar.Attrib(k).DataFieldList)
            vFields=fieldnames(forecastData.DataVar.Attrib(k).DataFieldList);
        end
        if ~isempty(vFields)
            dataReal=0;
        end
    end
end
if (forecastReal==0) || (dataReal==0)
    disp(['multilinearReg: Forecast and explanatory variables must be real valued for multilinear regression']);
    return;
end
VarNames_0={forecastData.DataVar.VarLabels(:).VariableName};
VarNames_1={forecastData.ForecastVar.VarLabels(:).VariableName};
VarNames={VarNames_0{:},VarNames_1{:}};
forecastData.Forecast=fitlm(forecastData.DataVar.TrainingArray',...
    forecastData.ForecastVar.TrainingArray',...
    'VarNames',VarNames);
return;
end