function restructureSWFTData(filename)
%
% Description: Restructure the old match-up data file.
%
load(filename);
SWFT_Dataset=struct('Physical',[],'AnomalyFlags',[],'TimeGrid',[]);
Varlist=fieldnames(DataSet);
nVar=length(Varlist);
for iVar=1:nVar
    vData=getfield(DataSet,Varlist{iVar});
    ind=find(strcmp({MetaDataSet(:).Name},Varlist{iVar})==1);
    if strcmp(Varlist{iVar},'DateNum_Start')==1 ||...
        strcmp(Varlist{iVar},'DateNum_End')==1 ||...
        strcmp(Varlist{iVar},'Bartels_Number')==1 ||...
        strcmp(Varlist{iVar},'Bartels_Phase')==1
        if isempty(SWFT_Dataset.TimeGrid)
            SWFT_Dataset.TimeGrid=struct(Varlist{iVar},[]);
        end
        vDataStruct=MetaDataSet(ind);
        vDataStruct.Value=vData;
        vDataStruct=rmfield(vDataStruct,'Name');
        vDataStruct.Category='Time Grid';
        SWFT_Dataset.TimeGrid=setfield(SWFT_Dataset.TimeGrid,Varlist{iVar},vDataStruct);
        continue;
    end
    if isempty(SWFT_Dataset.Physical)
        SWFT_Dataset.Physical=struct(Varlist{iVar},[]);
    end
    vDataStruct=MetaDataSet(ind);
    vDataStruct.Value=vData;
    vDataStruct=rmfield(vDataStruct,'Name');
    if ~isempty(strfind(Varlist{iVar},'GIM')) ||...
          ~isempty(strfind(Varlist{iVar},'VTEC')) ||...
          ~isempty(strfind(Varlist{iVar},'Gap')) ||...
          ~isempty(strfind(Varlist{iVar},'Asym'))
        vDataStruct.Category='GIM Features';
    else
        vDataStruct.Category='Space Physics';
    end
    ind_ending=strfind(Varlist{iVar},'_');
    if ~isempty(ind_ending)
        if ~isempty(find(strcmpi({'min','max','median','var','median'},...
                Varlist{iVar}(ind_ending(end)+1:end))==1))
            vDataStruct.NativeName=Varlist{iVar}(1:ind_ending(end)-1);
            vDataStruct.LocalStatName=Varlist{iVar}(ind_ending(end)+1:end);
        end
    end
    SWFT_Dataset.Physical=setfield(SWFT_Dataset.Physical,Varlist{iVar},vDataStruct);
end
SWFT_Dataset.AnomalyFlags=SingleAttrib_Anaomaly;
Varlist=fieldnames(SingleAttrib_Anaomaly);
nVar=length(Varlist);
for iVar=1:nVar
    vDataStruct=getfield(SingleAttrib_Anaomaly,Varlist{iVar});
    if ~isempty(strfind(Varlist{iVar},'GIM')) ||...
          ~isempty(strfind(Varlist{iVar},'VTEC')) ||...
          ~isempty(strfind(Varlist{iVar},'Gap')) ||...
          ~isempty(strfind(Varlist{iVar},'Asym'))
        vDataStruct.Category='GIM Anomaly Flag';
    else
        vDataStruct.Category='Space Physics Anomaly';
    end
    ind_ending=strfind(Varlist{iVar},'_');
    if ~isempty(ind_ending)
        if ~isempty(find(strcmpi({'min','max','median','var','median'},...
                Varlist{iVar}(ind_ending(end)+1:end))==1))
            vDataStruct.NativeName=Varlist{iVar}(1:ind_ending(end)-1);
            vDataStruct.LocalStatName=Varlist{iVar}(ind_ending(end)+1:end);
        end
    end
    SWFT_Dataset.AnomalyFlags=setfield(SWFT_Dataset.AnomalyFlags,Varlist{iVar},vDataStruct);
end
save(['NewDatabase',filesep,filename],'SWFT_Dataset');
return
end        