
function [Var]=updateAttrib(Var,MatchupDir)
%
% Description: Using the field VarLabels of structure Var to update the
% attribute list.
%
[VarInfo]=getVarInfo(Var.VarLabels,MatchupDir);
DataSetLabel=unique({VarInfo(:).DataSet});
nDataSet=length(DataSetLabel);
Var.Attrib=struct('DataSet',DataSetLabel,...
      'MetaDataSet',cell(1,nDataSet),'DataType',cell(1,nDataSet),...
      'DataFieldList',cell(1,nDataSet));
for iDataSet=1:nDataSet
    Var.Attrib(iDataSet).MetaDataSet='Enbedded';
    switch Var.Attrib(iDataSet).DataSet
        case 'Physical'
            Var.Attrib(iDataSet).DataType='REAL';
        case 'AnomalyFlags'
            Var.Attrib(iDataSet).DataType='BINARY';
    end
    ind=find(strcmp({VarInfo(:).DataSet},DataSetLabel{iDataSet})==1);
    DataFields=unique({VarInfo(ind).NativeName});
    for iField=1:length(DataFields)
        ind0=find(strcmp({VarInfo(ind).NativeName},DataFields{iField})==1);
        v=struct('LocalStat',[],'SpaceVar',[],'IonoVar',[],...
            'TimeLags',unique([VarInfo(ind(ind0)).TimeStamp]));
        LocalStat=cell(1,length(ind0));
        switch VarInfo(ind(ind0(1))).Category
            case 'Space Physics'
                v.SpaceVar=1;
                v.IonoVar=0;
            case 'GIM Features'
                v.SpaceVar=0;
                v.IonoVar=1;
            case 'Space Physics Anomaly'
                v.SpaceVar=1;
                v.IonoVar=0;
            case 'GIM Anomaly Flag'
                v.SpaceVar=0;
                v.IonoVar=1;
        end
        LocalStat=cell(1,0);
        for iVar=1:length(ind0)
            VarName=VarInfo(ind(ind0(iVar))).VarName;
            ind1=strfind(VarName,'_');
            if ~isempty(ind1)
                ind2=find(strcmpi({'max','min','median','mean','var'},VarName(ind1(end)+1:end))==1);
                LocalStat={LocalStat{:},VarName(ind1(end):end)};
            end
        end
        v.LocalStat=unique(LocalStat);
        Var.Attrib(iDataSet).DataFieldList=...
            setfield(Var.Attrib(iDataSet).DataFieldList,...
            DataFields{iField},v);
    end
end
return
end